package com.lz.modules.flow.entity;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
/**
* <p>
* </p>*考核指标库表
* @author quyixiao
* @since 2020-10-19
*/

@Data
@TableName("lz_result_taget_lib")
@ApiModel(value = "考核指标库表")
public class ResultTagetLib implements java.io.Serializable {
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //
    @ApiModelProperty(value = "", name = "isDelete")
    private Integer isDelete;
    //
    @ApiModelProperty(value = "", name = "gmtCreate")
    private Date gmtCreate;
    //
    @ApiModelProperty(value = "", name = "gmtModified")
    private Date gmtModified;
    //指标名称
    @ApiModelProperty(value = "指标名称", name = "name")
    private String name;
    //考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选
    @ApiModelProperty(value = "考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选", name = "modelId")
    private Long modelId;
    //权重
    @ApiModelProperty(value = "权重", name = "weight")
    private BigDecimal weight;
    //考核标准，关键结果
    @ApiModelProperty(value = "考核标准，关键结果", name = "keyResult")
    private String keyResult;
    //排序
    @ApiModelProperty(value = "排序", name = "orderBy")
    private Integer orderBy;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 指标名称 
     * @return
     */
    public String getName() {
        return name;
    }
    /**
     * 指标名称 
     * @param name
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选 
     * @return
     */
    public Long getModelId() {
        return modelId;
    }
    /**
     * 考核维度ID，result_model。如果id为0表示为指标库数据，其他地方可选 
     * @param modelId
     */
    public void setModelId(Long modelId) {
        this.modelId = modelId;
    }

    /**
     * 权重 
     * @return
     */
    public BigDecimal getWeight() {
        return weight;
    }
    /**
     * 权重 
     * @param weight
     */
    public void setWeight(BigDecimal weight) {
        this.weight = weight;
    }

    /**
     * 考核标准，关键结果 
     * @return
     */
    public String getKeyResult() {
        return keyResult;
    }
    /**
     * 考核标准，关键结果 
     * @param keyResult
     */
    public void setKeyResult(String keyResult) {
        this.keyResult = keyResult;
    }

    /**
     * 排序 
     * @return
     */
    public Integer getOrderBy() {
        return orderBy;
    }
    /**
     * 排序 
     * @param orderBy
     */
    public void setOrderBy(Integer orderBy) {
        this.orderBy = orderBy;
    }

    @Override
    public String toString() {
        return "ResultTagetLib{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",name=" + name +
                ",modelId=" + modelId +
                ",weight=" + weight +
                ",keyResult=" + keyResult +
                ",orderBy=" + orderBy +
                "}";
    }
}